Web lists-archives.com

Re: Could not find Xprint lib (libXp.so.6) in debian stretch




On Fri, May 11, 2018 at 12:14:07PM -0300, Joao Roscoe wrote:
> Wouldn't it be risky to the system installing another release's package?
> How should I change sources.list to allow that?

Using a shared lib package from one release ago?  No, people do that all
the time.  Usually just as a result of upgrading from the old release
to the new one, and having the old shared libs stick around.  But
sometimes, if you DIDN'T upgrade, you may actually need to hunt down the
older package and install it.

For example, I have a locally built xv pacakge that depends on libpng12-0.
But libpng12-0 is not available in stretch (it was replaced by a newer
libpng with a completely different API).  On machines that I upgraded
from jessie, there's no problem -- I can install my xv package and use
jessie's libpng12-0 library.  But on new stretch installs, libpng12-0
can't be installed automatically, because apt doesn't know about it.
So I either have to download it from packages.debian.org by hand, or
temporarily set up a jessie line in sources.list.